dbXML API

## com.dbxml.db.core.data
Class RecordMetaData

    java.lang.Object
      com.dbxml.db.core.data.RecordMetaData

public class RecordMetaData
extends java.lang.Object

RecordMetaData is a container for Record meta data, such as creation and modification times.

Field Summary
`static java.lang.String` `CREATED`
`static java.lang.String` `CREATOR`
`static java.lang.String` `GROUP`
`static java.lang.String` `MODIFIED`
`static java.lang.String` `NOTES`
`static java.lang.String` `OWNER`
`static java.lang.String` `SIZE`

Constructor Summary
`RecordMetaData()`
`RecordMetaData(java.util.Map meta)`

Method Summary
`java.lang.String[]` `getNames()` getNames returns the names for all meta Values in the set
`java.lang.Object` `getValue(java.lang.String name)` getValue returns a meta Value by name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CREATED

    public static final java.lang.String CREATED

See Also:
  Constant Field Values

### MODIFIED

    public static final java.lang.String MODIFIED

See Also:
  Constant Field Values

### CREATOR

    public static final java.lang.String CREATOR

See Also:
  Constant Field Values

### OWNER

    public static final java.lang.String OWNER

See Also:
  Constant Field Values

### GROUP

    public static final java.lang.String GROUP

See Also:
  Constant Field Values

### SIZE

    public static final java.lang.String SIZE

See Also:
  Constant Field Values

### NOTES

    public static final java.lang.String NOTES

See Also:
  Constant Field Values

Constructor Detail

### RecordMetaData

    public RecordMetaData()

### RecordMetaData

    public RecordMetaData(java.util.Map meta)

Method Detail

### getNames

    public final java.lang.String[] getNames()

  getNames returns the names for all meta Values in the set

  Returns:
    The Value names

### getValue

    public final java.lang.Object getValue(java.lang.String name)

  getValue returns a meta Value by name.

  Parameters:
    `name` - The value name
  Returns:
    The metadata value

dbXML API

Copyright (c) 2004 The dbXML Group